# Search Experiments

Launch stage: GA

`POST /api/2.0/mlflow/experiments/search`

Searches for experiments that satisfy specified search criteria.

API scopes: mlflow

## Request body

- `max_results` (int64, optional)
  Maximum number of experiments desired. Max threshold is 3000.
- `page_token` (string, optional)
  Token indicating the page of experiments to fetch
- `filter` (string, optional)
  String representing a SQL filter condition (e.g. "name ILIKE 'my-experiment%'")
- `order_by` (array of string, optional)
  List of columns for ordering search results, which can include experiment name and last updated
   timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default.
   Tiebreaks are done by experiment id DESC.
- `view_type` (string, optional)
  Qualifier for type of experiments to be returned.
   If unspecified, return only active experiments.
  Possible values: `ACTIVE_ONLY`, `DELETED_ONLY`, `ALL`

## Returns

Returns a list of Experiment objects.

## Response

```json
{
  "experiments": [
    {
      "experiment_id": "string",
      "name": "string",
      "artifact_location": "string",
      "lifecycle_stage": "string",
      "last_update_time": 0,
      "creation_time": 0,
      "tags": [
        {}
      ]
    }
  ],
  "next_page_token": "string"
}
```

